PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->__construct()

DOMDocument->__construct() -- Creates a new DOMDocument object

## Description

class DOMDocument {
__construct ( [string version [, string encoding]] )
}

Creates a new DOMDocument object.

## Parameters

version

  The version number of the document as part of the XML declaration.

encoding

  The encoding of the document as part of the XML declaration.

## 範例

範例 1. Creating a new DOMDocument

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?> */ ?>`

## 參考

DOMImplementation->createDocument()

前一頁 | 內容 | 下一頁
DOMCharacterData->substringData() | 上一層 | DOMDocument->createAttribute()